Skip to content
vocapable.Docs

Resolve Callback

POST
/v1/workspace/shared-phone/callbacks/{callback_id}/resolve
curl --request POST \
--url https://api.vocapable.com/v1/workspace/shared-phone/callbacks/example/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "action": "cancel", "note": "example" }'
callback_id
required
Callback Id
string
Media typeapplication/json
SharedPhoneCallbackResolution
object
expected_revision
required
Expected Revision
integer
>= 1
action
required
Action
string
Allowed values: cancel complete
note
required
Note
string
>= 1 characters <= 1000 characters

Successful Response

Media typeapplication/json
SharedPhoneCallbackEntry
object
id
required
Id
string
phone_number_id
required
Phone Number Id
string
business_number
required
Business Number
string
line_name
required
Line Name
string
caller_display
required
Caller Display
string
state
required
State
string
revision
required
Revision
integer
priority_at
required
Priority At
string format: date-time
due_at
required
Due At
string format: date-time
expires_at
required
Expires At
string format: date-time
attempt_count
required
Attempt Count
integer
max_attempts
required
Max Attempts
integer
contact_id
required
Any of:
string
organization_id
required
Any of:
string
last_block_reason
required
Any of:
string
blocked_at
required
Any of:
string format: date-time
can_cancel
required
Can Cancel
boolean
can_complete
required
Can Complete
boolean
needs_carrier_reconciliation
required
Needs Carrier Reconciliation
boolean
resolution_note
Any of:
string
resolved_at
Any of:
string format: date-time
resolved_by
Any of:
string
Examplegenerated
{
"id": "example",
"phone_number_id": "example",
"business_number": "example",
"line_name": "example",
"caller_display": "example",
"state": "example",
"revision": 1,
"priority_at": "2026-04-15T12:00:00Z",
"due_at": "2026-04-15T12:00:00Z",
"expires_at": "2026-04-15T12:00:00Z",
"attempt_count": 1,
"max_attempts": 1,
"contact_id": "example",
"organization_id": "example",
"last_block_reason": "example",
"blocked_at": "2026-04-15T12:00:00Z",
"can_cancel": true,
"can_complete": true,
"needs_carrier_reconciliation": true,
"resolution_note": "example",
"resolved_at": "2026-04-15T12:00:00Z",
"resolved_by": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}